org.vishia.gral.base

## Class GralButton.GraphicImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralButton.GraphicImplAccess

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    AwtButton, SwtButton
  Enclosing class:
    GralButton

      public abstract class GralButton.GraphicImplAccess
      extends GralWidget.ImplAccess
      implements GralWidgImpl_ifc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GralColor` | `colorgback` Set in `paint1()`, used for paint routine.
    `protected GralColor` | `colorgline` Set in `paint1()`, used for paint routine.
    `protected GralMouseWidgetAction_ifc` | `mouseWidgetAction` That action effects that the internal variable `#switchedOn` is set for a switching button.
    `protected java.lang.String` | `sButtonText` Set in `paint1()`, used for paint routine.
    `protected GralButton` | `widgg` Covers the GralWidget#widgg, but it is the same reference.

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphicImplAccess(GralButton widgg, GralMng mng)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isPressed()`
    `protected void` | `paint1()`
    `protected void` | `prepareWidget()`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getPixelPositionSize, getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Field Detail

    - #### mouseWidgetAction

          protected final GralMouseWidgetAction_ifc mouseWidgetAction

      That action effects that the internal variable `#switchedOn` is set for a switching button. The user action will be called by the standard mouse action of the implementation graphic AWT: `gral.awt.AwtGralMouseListener.MouseListenerUserAction`.

    - #### sButtonText

          protected java.lang.String sButtonText

      Set in `paint1()`, used for paint routine.

    - #### colorgback

          protected GralColor colorgback

      Set in `paint1()`, used for paint routine.

    - #### colorgline

          protected GralColor colorgline

      Set in `paint1()`, used for paint routine.

    - #### widgg

          protected GralButton widgg

      Covers the GralWidget#widgg, but it is the same reference. This is the necessary type.

  - ### Constructor Detail

    - #### GraphicImplAccess

          protected GraphicImplAccess(GralButton widgg,
                                      GralMng mng)

  - ### Method Detail

    - #### isPressed

          protected boolean isPressed()

    - #### prepareWidget

          protected void prepareWidget()

    - #### paint1

          protected void paint1()